IOSS 2.0

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Private Member Functions | List of all members
Ioss::Pyramid5 Class Reference

`#include <Ioss_Pyramid5.h>`

Inheritance diagram for Ioss::Pyramid5:
[legend]
Collaboration diagram for Ioss::Pyramid5:
[legend]

## Public Member Functions
| ~Pyramid5 () override
ElementShape | shape () const override
int | spatial_dimension () const override
int | parametric_dimension () const override
bool | is_element () const override
int | order () const override
int | number_corner_nodes () const override
int | number_nodes () const override
int | number_edges () const override
int | number_faces () const override
int | number_nodes_edge (int edge=0) const override
int | number_nodes_face (int face=0) const override
int | number_edges_face (int face=0) const override
bool | faces_similar () const override
Ioss::IntVector | edge_connectivity (int edge_number) const override
Ioss::IntVector | face_connectivity (int face_number) const override
Ioss::IntVector | element_connectivity () const override
Ioss::IntVector | face_edge_connectivity (int face_number) const override
Ioss::ElementTopology * | face_type (int face_number=0) const override
Ioss::ElementTopology * | edge_type (int edge_number=0) const override
Public Member Functions inherited from Ioss::ElementTopology
void | alias (const std::string &base, const std::string &syn)
bool | is_alias (const std::string &my_alias) const
| ElementTopology (const ElementTopology &)=delete
ElementTopology & | operator= (const ElementTopology &)=delete
virtual | ~ElementTopology ()
const std::string & | name () const
std::string | master_element_name () const
virtual bool | edges_similar () const
int | number_boundaries () const
IntVector | boundary_connectivity (int edge_number) const
IntVector | element_edge_connectivity () const
ElementTopology * | boundary_type (int face_number=0) const

## Static Public Member Functions
static void | factory ()
Static Public Member Functions inherited from Ioss::ElementTopology
static ElementTopology * | factory (const std::string &type, bool ok_to_fail=false)
static ElementTopology * | factory (unsigned int unique_id)
static unsigned int | get_unique_id (const std::string &type)
static int | describe (NameList *names)
| Get the names of element topologies known to Ioss. More...

## Static Public Attributes
static const char * | name = "pyramid5"

## Protected Member Functions
| Pyramid5 ()
Protected Member Functions inherited from Ioss::ElementTopology
| ElementTopology (std::string type, std::string master_elem_name, bool delete_me=false)

## Private Member Functions
| Pyramid5 (const Pyramid5 &)=delete

## Constructor & Destructor Documentation

## ◆ ~Pyramid5()

Ioss::Pyramid5::~Pyramid5 | ( |  | ) |
| overridedefault

## ◆ Pyramid5() [1/2]

Ioss::Pyramid5::Pyramid5 | ( |  | ) |
| protected

## ◆ Pyramid5() [2/2]

Ioss::Pyramid5::Pyramid5 | ( | const Pyramid5 & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ edge_connectivity()

Ioss::IntVector Ioss::Pyramid5::edge_connectivity | ( | int | edge_number | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ edge_type()

Ioss::ElementTopology * Ioss::Pyramid5::edge_type | ( | int | edge_number = `0` | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ element_connectivity()

Ioss::IntVector Ioss::Pyramid5::element_connectivity | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ face_connectivity()

Ioss::IntVector Ioss::Pyramid5::face_connectivity | ( | int | face_number | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ face_edge_connectivity()

Ioss::IntVector Ioss::Pyramid5::face_edge_connectivity | ( | int | face_number | ) | const
| overridevirtual

Reimplemented from Ioss::ElementTopology.

## ◆ face_type()

Ioss::ElementTopology * Ioss::Pyramid5::face_type | ( | int | face_number = `0` | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ faces_similar()

bool Ioss::Pyramid5::faces_similar | ( |  | ) | const
| overridevirtual

Reimplemented from Ioss::ElementTopology.

## ◆ factory()

void Ioss::Pyramid5::factory | ( |  | ) |
| static

## ◆ is_element()

bool Ioss::Pyramid5::is_element | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from Ioss::ElementTopology.

## ◆ number_corner_nodes()

int Ioss::Pyramid5::number_corner_nodes | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ number_edges()

int Ioss::Pyramid5::number_edges | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ number_edges_face()

int Ioss::Pyramid5::number_edges_face | ( | int | face = `0` | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ number_faces()

int Ioss::Pyramid5::number_faces | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ number_nodes()

int Ioss::Pyramid5::number_nodes | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ number_nodes_edge()

int Ioss::Pyramid5::number_nodes_edge | ( | int | edge = `0` | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ number_nodes_face()

int Ioss::Pyramid5::number_nodes_face | ( | int | face = `0` | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ order()

int Ioss::Pyramid5::order | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ parametric_dimension()

int Ioss::Pyramid5::parametric_dimension | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## ◆ shape()

ElementShape Ioss::Pyramid5::shape | ( |  | ) | const
| inlineoverridevirtual

Implements Ioss::ElementTopology.

## ◆ spatial_dimension()

int Ioss::Pyramid5::spatial_dimension | ( |  | ) | const
| overridevirtual

Implements Ioss::ElementTopology.

## Member Data Documentation

## ◆ name

const char * Ioss::Pyramid5::name = "pyramid5"
| static

The documentation for this class was generated from the following files:

- src/Ioss_Pyramid5.h
- src/Ioss_Pyramid5.C